itpp::Audio_Stream_Description Class Reference
Source Coding Module » Audio

Description of audio stream. More...

`#include <itpp/srccode/audiofile.h>`

## Public Member Functions

| Audio_Stream_Description ()
| Default ctor - creates uninitialized description.
| Audio_Stream_Description (Audio_Encoding e, int sr, int nc=1)
| Construct with stream parameters: encoding e, sampling rate sr and number of audio channels nc.
Audio_Stream_Description & | set_encoding (Audio_Encoding e)
| Set encoding of audio samples.
Audio_Stream_Description & | set_sampling_rate (int sr)
| Set sampling rate (samples per second)
Audio_Stream_Description & | set_num_channels (int nc)
| Set number of audio channels.
Audio_Stream_Description & | set_description (const std::string &d)
| Set stream annotation.
Audio_Encoding | get_encoding () const
| Get encoding of audio samples.
int | get_sampling_rate () const
| Get sampling rate (samples per second)
int | get_num_channels () const
| Get number of audio channels.
const std::string & | get_description () const
| Get stream annotation.

## Detailed Description

Description of audio stream.

This class holds information about the stream of audio samples. Information includes samples encoding, number of channels and sampling rate. Stream can be annotated via set_description() method.

Definition at line 66 of file audiofile.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiofile.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13